section[id] {
    scroll-margin-top: var(--header-height);
}


.gallerycontainer {
    max-width: 1100px; /* Die maximale Breite der Inhalte */
    padding: 0 20px 20px 30px;
    /* Ein kleiner Sicherheitsabstand zu den Rändern auf dem Handy */
    color: #444;
}

.gallery {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(6em, 1fr));
    gap: .5em;
    grid-auto-flow: dense;
    align-items: center;
}

.gallery figure {
    border: thin solid #ccc;
    position: relative;
    margin: 0; /* figure hat sonst einen browsereigenen Abstand! */
}

.gallery figure.portrait {
    grid-column-end: span 2;
}

.gallery figure.panorama,
.gallery figure.landscape {
    grid-column-end: span 3;
}

.gallery figure img {
    display: block;
    object-fit: cover;
    width: 100%;
    height: auto;
}

/* Definition der Seitenverhältnisse */
.gallery figure.panorama img {
    aspect-ratio: 3 / 1; /* Sehr breit, z.B. 3x so breit wie hoch */
}

.gallery figure.landscape img {
    aspect-ratio: 3 / 2; /* Klassisches Querformat */
}

.gallery figure.portrait img {
    aspect-ratio: 2 / 3; /* Klassisches Hochformat */
}

.back-to-events a {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    color: #444;
    background-color: #b89e4b;
    text-decoration: none;
}